Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.rms
Interface RecordListener

public interface RecordListener

A listener interface for receiving Record Changed/Added/Deleted events from a record store.

Since:
  MIDP 1.0
See Also:
  `RecordStore.addRecordListener(javax.microedition.rms.RecordListener)`

Method Summary
`void` | `recordAdded(RecordStore recordStore, int recordId)` Called when a record has been added to a record store.
`void` | `recordChanged(RecordStore recordStore, int recordId)` Called after a record in a record store has been changed.
`void` | `recordDeleted(RecordStore recordStore, int recordId)` Called after a record has been deleted from a record store.

Method Detail

### recordAdded

    public void recordAdded(RecordStore recordStore,
                            int recordId)

  Called when a record has been added to a record store.

  Parameters:
    `recordStore` - the RecordStore in which the record is stored
    `recordId` - the recordId of the record that has been added

### recordChanged

    public void recordChanged(RecordStore recordStore,
                              int recordId)

  Called after a record in a record store has been changed. If the implementation of this method retrieves the record, it will receive the changed version.

  Parameters:
    `recordStore` - the RecordStore in which the record is stored
    `recordId` - the recordId of the record that has been changed

### recordDeleted

    public void recordDeleted(RecordStore recordStore,
                              int recordId)

  Called after a record has been deleted from a record store. If the implementation of this method tries to retrieve the record from the record store, an InvalidRecordIDException will be thrown.

  Parameters:
    `recordStore` - the RecordStore in which the record was stored
    `recordId` - the recordId of the record that has been deleted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.